Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg.sig
Class SignatureCreationTime

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket
          org.bouncycastle.bcpg.sig.SignatureCreationTime

    public class SignatureCreationTime

extends SignatureSubpacket

packet giving signature creation time.

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`data`

Constructor Summary
`SignatureCreationTime(boolean critical, byte[] data)`
`SignatureCreationTime(boolean critical, java.util.Date date)`

Method Summary
`java.util.Date` `getTime()`
`protected static byte[]` `timeToBytes(java.util.Date date)`

Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`encode, getData, getType, isCritical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureCreationTime

    public SignatureCreationTime(boolean critical,
                                 byte[] data)

### SignatureCreationTime

    public SignatureCreationTime(boolean critical,
                                 java.util.Date date)

Method Detail

### timeToBytes

    protected static byte[] timeToBytes(java.util.Date date)

### getTime

    public java.util.Date getTime()

Bouncy Castle Cryptography Library 1.45